//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "WorKEerTHread.h"
#include "MainRecv.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------

// Important : les mthodes et les proprits des objets de la CVL peuvent uniquement
// tre utilises dans une mthode appele en utilisant Synchronize, comme suit :
//
//      Synchronize(&UpdateCaption);
//
// o UpdateCaption serait de la forme :
//
//      void __fastcall TWorkerTHread::UpdateCaption()
//      {
//        Form1->Caption = "Mis  jour dans un thread";
//      }
//---------------------------------------------------------------------------

__fastcall TWorkerTHread::TWorkerTHread(bool CreateSuspended)
	: TThread(CreateSuspended)
{
}
//---------------------------------------------------------------------------
__fastcall TWorkerTHread::TWorkerTHread(bool CreateSuspended,HANDLE Evt,wchar_t* pBuf)
	: TThread(CreateSuspended),
	FEvent(Evt),
	FBuffer(pBuf)

{
   FRecEvent= CreateEvent(NULL,false,false,"Recvent");
}
//---------------------------------------------------------------------------
 void __fastcall TWorkerTHread::UpdateCaption()
 {
   FReceiver->Edit1->Text=FBuffer;

 }





void __fastcall TWorkerTHread::Execute()
{
	NameThreadForDebugging("WorkerThread");
	//---- Placer le code du thread ici ----
	while (!Terminated)
	  {
		  WaitForSingleObject(FEvent,INFINITE);
		  if(!Terminated)
			Synchronize(&UpdateCaption);
		  SetEvent(FRecEvent);
	  }
	CloseHandle(FRecEvent);
}
//---------------------------------------------------------------------------
