//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "WorkerSendThread.h"
#include "Main.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------

// Important : les mthodes et les proprits des objets de la CVL peuvent uniquement
// tre utilises dans une mthode appele en utilisant Synchronize, comme suit :
//
//      Synchronize(&UpdateCaption);
//
// o UpdateCaption serait de la forme :
//
//      void __fastcall TWorkSendThread::UpdateCaption()
//      {
//        Form1->Caption = "Mis  jour dans un thread";
//      }
//---------------------------------------------------------------------------

__fastcall TWorkSendThread::TWorkSendThread(bool CreateSuspended)
	: TThread(CreateSuspended)
{
	FRecEvent=CreateEvent(NULL,false,false,"Recvent");
}
//---------------------------------------------------------------------------
void __fastcall TWorkSendThread::Execute()
{
	NameThreadForDebugging("WorkSendThread");
	while(!Terminated)
	{
	   WaitForSingleObject(FRecEvent,INFINITE);
	   if(!Terminated)
			Synchronize(&UpdateCaption);
	}
	CloseHandle(FRecEvent);

	//---- Placer le code du thread ici ----
}
//---------------------------------------------------------------------------
 void __fastcall TWorkSendThread::UpdateCaption()
 {
		Form79->UpdateInfoFromThread();
 }
