//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Main.h"


//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
 TForm79 *Form79;
 TCHAR szName[]=TEXT("MyFileMappingObject");
 TCHAR szEvName[]=TEXT("MyEvent");
//---------------------------------------------------------------------------
__fastcall TForm79::TForm79(TComponent* Owner)
	: TForm(Owner)
{

   error=false;
   MapOk=false;
   BUF_SIZE=1000;
   hMapFile = CreateFileMapping(
				 INVALID_HANDLE_VALUE,    // use paging file
				 NULL,                    // default security
				 PAGE_READWRITE,          // read/write access
				 0,                       // max. object size
				 BUF_SIZE,                // buffer size
				 szName);                 // name of mapping object

   if(hMapFile)
   {
	pBuf = (wchar_t*) MapViewOfFile(hMapFile,   // handle to map object
						FILE_MAP_ALL_ACCESS, // read/write permission
						0,
						0,
						BUF_SIZE);
   MapOk=(pBuf!=NULL);
   }
   else
	 error=true;
   if(MapOk)
		mEvent=CreateEvent(NULL,false,false,szEvName);
		mWorkSendThread= new TWorkSendThread(false);
   Button1->Enabled=!error;

}
//---------------------------------------------------------------------------
void __fastcall TForm79::FormDestroy(TObject *Sender)
{
   if(!error)
   if (MapOk) {
   UnmapViewOfFile(pBuf);
   CloseHandle(hMapFile);
   CloseHandle(mEvent);
   mWorkSendThread->Terminate();
   SetEvent(mWorkSendThread->FRecEvent);
   delete mWorkSendThread;
  }

}
//---------------------------------------------------------------------------

void __fastcall TForm79::Button1Click(TObject *Sender)
{
   wcscpy(pBuf,Edit1->Text.c_str());
   SetEvent(mEvent);
   Button1->Enabled=false;

}
//---------------------------------------------------------------------------

void __fastcall TForm79::UpdateInfoFromThread()
{
   StatusBar1->SimpleText="";
   Button1->Enabled=!error;
   StatusBar1->SimpleText="Message Confirmed by Reveiver";

}
