//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "MainRecv.h"
#include "WorKEerTHread.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFReceiver *FReceiver;
TCHAR szName[]=TEXT("MyFileMappingObject");
TCHAR szEvName[]=TEXT("MyEvent");
//---------------------------------------------------------------------------
__fastcall TFReceiver::TFReceiver(TComponent* Owner)
	: TForm(Owner)
{
  error=false;
  MapOk=false;
  BUF_SIZE=1000;
  hMapFile = OpenFileMapping(
                   FILE_MAP_ALL_ACCESS,   // read/write access
                   FALSE,                 // do not inherit the name
				   szName);
   if(hMapFile)
   {
	 pBuf = (wchar_t*) MapViewOfFile(hMapFile, // handle to map object
               FILE_MAP_ALL_ACCESS,  // read/write permission
               0,
               0,
			   BUF_SIZE);
   MapOk=(pBuf!=NULL);
   }
   else
	 error=true;
   if(MapOk)
   {
	mEvent=CreateEvent(NULL,false,false,szEvName);
	mWorkerThread= new TWorkerTHread(false,mEvent,pBuf);
   }
  // Button1->Enabled=!error;

}
//---------------------------------------------------------------------------
void __fastcall TFReceiver::FormDestroy(TObject *Sender)
{
   if(!error)
   if (MapOk) {
   UnmapViewOfFile(pBuf);
   mWorkerThread->Terminate();
   SetEvent(mEvent);
   CloseHandle(mEvent);
   CloseHandle(hMapFile);
   delete mWorkerThread;
   }
}
//---------------------------------------------------------------------------
